QXmpp: QXmppPushEnableIq Class Reference

QXmpp Version: 1.14.4

Loading...
Searching...
No Matches
QXmppPushEnableIq Class Reference
Stanzas

This class represents an IQ to enable or disablepush notifications on the user server. More...

`#include <QXmppPushEnableIq.h>`

Inheritance diagram for QXmppPushEnableIq:

## Public Types
enum | Mode : bool { Enable = true , Disable = false }
| The Mode enum describes whether the IQ should enable or disable push notifications.
Public Types inherited from QXmppIq
enum | Type { Error = 0 , Get , Set , Result }
| This enum describes the type of IQ. More...

## Public Member Functions
| QXmppPushEnableIq (const QXmppPushEnableIq &)
| Default copy-constructor.
| QXmppPushEnableIq (QXmppPushEnableIq &&)
| Default move-constructor.
QXmppPushEnableIq & | operator= (const QXmppPushEnableIq &)
| Default assignment operator.
QXmppPushEnableIq & | operator= (QXmppPushEnableIq &&)
| Default move-assignment operator.
QString | jid () const
| Returns the jid of the app server.
void | setJid (const QString &jid)
| Sets the jid of the app server.
QString | node () const
| Returns the pubsub node on the app server used by the IQ.
void | setNode (const QString &node)
| Set the pubsub note on the app server to be used by the IQ.
void | setMode (Mode mode)
| Set whether the IQ should enable or disable push notifications.
Mode | mode ()
| Returns the mode.
QXmppDataForm | dataForm () const
| Returns the data form containing the publish options which the user server Should send to the app server.
void | setDataForm (const QXmppDataForm &form)
| Sets the data form containing the publish options which the user server Should send to the app server.
Public Member Functions inherited from QXmppIq
| QXmppIq (QXmppIq::Type type=QXmppIq::Get)
| QXmppIq (const QXmppIq &other)
| Constructs a copy of other.
| QXmppIq (QXmppIq &&)
| Default move-constructor.
QXmppIq & | operator= (const QXmppIq &other)
| Assigns other to this IQ.
QXmppIq & | operator= (QXmppIq &&)
| Move-assignment operator.
QXmppIq::Type | type () const
void | setType (QXmppIq::Type)
bool | isXmppStanza () const override
Public Member Functions inherited from QXmppStanza
| QXmppStanza (const QString &from=QString(), const QString &to=QString())
| QXmppStanza (const QXmppStanza &other)
| Constructs a copy of other.
| QXmppStanza (QXmppStanza &&)
| Move constructor.
| ~QXmppStanza () override
| Destroys a QXmppStanza.
QXmppStanza & | operator= (const QXmppStanza &other)
| Assigns other to this stanza.
QXmppStanza & | operator= (QXmppStanza &&)
| Move-assignment operator.
QString | to () const
void | setTo (const QString &)
QString | from () const
void | setFrom (const QString &)
QString | id () const
void | setId (const QString &)
QString | lang () const
void | setLang (const QString &)
QXmppStanza::Error | error () const
std::optional< Error > | errorOptional () const
void | setError (const QXmppStanza::Error &error)
void | setError (const std::optional< Error > &error)
QXmppElementList | extensions () const
void | setExtensions (const QXmppElementList &elements)
QList< QXmppExtendedAddress > | extendedAddresses () const
void | setExtendedAddresses (const QList< QXmppExtendedAddress > &extendedAddresses)
std::optional< QXmppE2eeMetadata > | e2eeMetadata () const
void | setE2eeMetadata (const std::optional< QXmppE2eeMetadata > &e2eeMetadata)
Public Member Functions inherited from QXmppNonza
virtual void | parse (const QDomElement &)=0
virtual void | toXml (QXmlStreamWriter *writer) const =0

## Static Public Member Functions
static bool | isPushEnableIq (const QDomElement &element)
| Checks whether a QDomElement is a push notification enable / disable IQ.

## Detailed Description

This class represents an IQ to enable or disablepush notifications on the user server.

Since
  QXmpp 1.3

## Member Function Documentation

## ◆ dataForm()

QXmppDataForm QXmppPushEnableIq::dataForm | ( |  | ) | const

Returns the data form containing the publish options which the user server Should send to the app server.

It is only available for enable IQs.

## ◆ setDataForm()

void QXmppPushEnableIq::setDataForm | ( | const QXmppDataForm & | form | ) |

Sets the data form containing the publish options which the user server Should send to the app server.

It should only be set for enable IQs.

The documentation for this class was generated from the following files:

- QXmppPushEnableIq.h
- QXmppPushEnableIq.cpp